POST /api/fleet/agents/{agentId}/unenroll

Spaces method and path for this operation:

post /s/{space_id}/api/fleet/agents/{agentId}/unenroll

Refer to Spaces for more information.

Unenroll a specific agent, optionally revoking its enrollment API key.

[Required authorization] Route required privileges: fleet-agents-all.

Headers

  • kbn-xsrf string Required

    A required header to protect against CSRF attacks

Path parameters

  • agentId string Required
application/json

Body

  • force boolean
  • revoke boolean

Responses

  • 200 application/json

    Successful response

  • 400 application/json

    Bad Request

POST /api/fleet/agents/{agentId}/unenroll
curl \
 --request POST 'https://<KIBANA_URL>/api/fleet/agents/{agentId}/unenroll' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --header "kbn-xsrf: true" \
 --data '{"revoke":false}'
Request example
Unenroll an agent, optionally revoking the enrollment API key
{
  "revoke": false
}
Response examples (200)
Agent successfully unenrolled
{
  "description": "Agent successfully unenrolled",
  "value": {}
}
Response examples (400)
Example of a generic error response
{
  "error": "Bad Request",
  "message": "An error message describing what went wrong",
  "statusCode": 400
}